Qt 5.11 | Qt Multimedia | C++ Classes | QAbstractPlanarVideoBuffer

Qt 5.11.3 Reference Documentation

# QAbstractPlanarVideoBuffer Class

The QAbstractPlanarVideoBuffer class is an abstraction for planar video data. More...

Header: | #include <QAbstractPlanarVideoBuffer>
qmake: | QT += multimedia
Since: | Qt 5.4
Inherits: | QAbstractVideoBuffer

- List of all members, including inherited members

## Public Functions

| QAbstractPlanarVideoBuffer(QAbstractVideoBuffer::HandleType type)
virtual | ~QAbstractPlanarVideoBuffer()
virtual int | map(QAbstractVideoBuffer::MapMode mode, int *numBytes, int [4] bytesPerLine = 4, uchar *[4] data = 4) = 0

- 7 public functions inherited from QAbstractVideoBuffer

## Detailed Description

The QAbstractPlanarVideoBuffer class is an abstraction for planar video data.

QAbstractPlanarVideoBuffer extends QAbstractVideoBuffer to support mapping non-continuous planar video data. Implement this instead of QAbstractVideoBuffer when the abstracted video data stores planes in separate buffers or includes padding between planes which would interfere with calculating offsets from the bytes per line and frame height.

See also QAbstractVideoBuffer::mapPlanes().

## Member Function Documentation

### QAbstractPlanarVideoBuffer::QAbstractPlanarVideoBuffer(QAbstractVideoBuffer::HandleType type)

Constructs an abstract planar video buffer of the given type.

### `[virtual]` QAbstractPlanarVideoBuffer::~QAbstractPlanarVideoBuffer()

Destroys an abstract planar video buffer.

### `[pure virtual]` int QAbstractPlanarVideoBuffer::map(QAbstractVideoBuffer::MapMode mode, int *numBytes, int [4] bytesPerLine = 4, uchar *[4] data = 4)